%define oname e16keyedit

Summary:        GUI for editing keybindings in Enlightenment, DR16
Name:           e16-keyedit
Version:        0.5
Release:        3%{?dist}
License:        MIT with advertising
Group:          User Interface/Desktops
URL:            http://www.enlightenment.org/
Source:         http://downloads.sourceforge.net/enlightenment/%{oname}-%{version}.tar.gz
BuildRequires:  gtk2-devel desktop-file-utils
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       e16 >= 0.16.8

%description
The e16-keyedit package provides a graphical interface for managing
keybindings in Enlightenment, DR16.

%prep
%setup -q -n %{oname}-%{version}

%build
%configure
%{__make} %{?_smp_mflags}
%{__cat} <<EOF > %{name}.desktop
[Desktop Entry]
Name=e16keyedit
Comment=Manage keybindings for e16
Exec=e16keyedit
Terminal=false
Type=Application
Icon=/usr/share/e16/misc/e16.png
Categories=Settings;DesktopSettings;
EOF

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

desktop-file-install --vendor=fedora \
    --dir=%{buildroot}%{_datadir}/applications %{name}.desktop

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc README COPYING AUTHORS ChangeLog 
%{_bindir}/%{oname}
%{_datadir}/applications/fedora-%{name}.desktop

%changelog
* Sat Oct 18 2008 Terje Rosten <terjeros@phys.ntnu.no> - 0.5-3
- Add desktop file

* Tue Mar 27 2008 Terje Rosten <terjeros@phys.ntnu.no> - 0.5-2
- Fix license

* Mon Aug 20 2007 Terje Rosten <terjeros@phys.ntnu.no> - 0.5-1
- Initial build (based on upstream spec, thanks!)
